import '../models/overtime_model.dart';
import '../repositories/attendance_repository.dart';

class GetExtraHoursUseCase {
  final AttendanceRepository repository;

  GetExtraHoursUseCase({required this.repository});

  Future<List<OvertimeModel>> execute({required String employeeId}) async {
    return await repository.getExtraHours(employeeId: employeeId);
  }
}
